#
# spec file for package fou4s
# 
# Copyright (c) 2002-2003  Markus Gaugusch <fou4s@gaugusch.at>
#

Name:         fou4s
Provides:     fou4s
Copyright:    GPL
Version:      0.9.2
Release:      0
Group:        Applications/System
Summary:      Fast OnlineUpdate for SuSE
Distribution: SuSE Linux
BuildArchitectures: noarch
URL:          http://fou4s.gaugusch.at/
Source: http://fou4s.gaugusch.at/download/fou4s-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build
Packager:     Markus Gaugusch <fou4s@gaugusch.at>
Requires:     wget gpg

%description
fou4s is a replacement for SuSE's Yast OnlineUpdate (YOU). It uses the same 
update description files and is therefore a complete, lightweight alternative.

Authors:
--------
    Markus Gaugusch <fou4s@gaugusch.at>

%prep
%setup

%build
#make

%install
if [ -n "%{buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make ROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/fou4s
/usr/bin/fou4s-benchmark
/usr/bin/gpd.sh
/usr/bin/get_info_from_ARCHIVES.pl
/usr/bin/announcement2pkgdesc
/usr/lib/fou4s/pkgdesc_template
%attr(640,root,fou4s) %config(noreplace) /etc/fou4s.conf
%doc %{_mandir}/*/*
%doc README FAQ KNOWN-BUGS LICENSE CHANGELOG Networking-Infos fou4s.conf-example fou4s_public.gpg examples/*
%defattr(775,root,fou4s)
%dir /var/cache/fou4s/
%dir /var/cache/fou4s/packages/
%defattr(660,root,fou4s)
/var/log/fou4s.log

%pre
if [ "`cat /etc/group | grep ^fou4s`" = "" ] ; then
	groupadd fou4s
	passwd -g fou4s -r # remove group password
fi

%post
if [ "`cat /etc/group | grep ^fou4s`" = "" ] ; then
	groupadd fou4s # add group fou4s if none exists
	passwd -g fou4s -r # remove group password
fi
if [ "`gpg --list-keys 2>/dev/null| grep AFB66D7C`" != "pub  1024D/AFB66D7C 2002-04-28 fou4s build key <fou4s@gaugusch.at>" ] ; then
	echo Installing fou4s public key ...
	res="`gpg --import /usr/share/doc/packages/fou4s/fou4s_public.gpg 2>&1`"
	if [ "`echo "$res" | grep "you have to start GnuPG again, so it can read the new options file"`" != "" ] ; then
		res="`gpg --import /usr/share/doc/packages/fou4s/fou4s_public.gpg 2>&1`"
	fi
	echo "$res"
	echo
fi
echo " ************* Please start fou4s again to finish the update"
killall fou4s

#echo "If you are using fou4s via cron, please have a look at "
#echo /usr/share/doc/packages/fou4s/fou4s-crontab. The NEW crontab file contains
#echo "again some enhancements for more efficient update."
#echo 
#echo "Thank you for using fou4s!"

%preun
if [ "`cat /etc/group | grep ^fou4s`" = "fou4s::500:" ] ; then
	groupdel fou4s
fi

%changelog -n fou4s
* Tue Apr 01 2003 - fou4s@gaugusch.at
- Released 0.9.2
* Mon Mar 31 2003 - fou4s@gaugusch.at
- Released 0.9.1
* Sun Mar 30 2003 - fou4s@gaugusch.at
- Released 0.9.0
* Sun Dec 08 2002 - fou4s@gaugusch.at
- Added /var/log/fou4s.log
* Fri Dec 06 2002 - fou4s@gaugusch.at
- Cleanups, default build arch=noarch, permissions of /var/cache/fou4s fixed
* Sun Nov 03 2002 - fou4s@gaugusch.at
- Released 0.8.1
* Tue Oct 29 2002 - fou4s@gaugusch.at
- Added %config(noreplace) option
- Released 0.8.0
* Fri Oct 11 2002 - fou4s@gaugusch.at
- Released 0.7.4
* Wed Oct 02 2002 - fou4s@gaugusch.at
- Released 0.7.3
* Sun Sep 22 2002 - fou4s@gaugusch.at
Added gpd.sh and get_info_from_ARCHIVES.pl
* Fri Aug 30 2002 - fou4s@gaugusch.at
- Released 0.7.2
* Thu Aug 29 2002 - fou4s@gaugusch.at
- Released 0.7.1
* Mon Aug 26 2002 - fou4s@gaugusch.at
- Released 0.7.0
* Mon Jul 15 2002 - fou4s@gaugusch.at
- Added announcement2pkgdesc
* Wed Jun 05 2002 - fou4s@gaugusch.at
- Released 0.6.0
* Tue Jun 04 2002 - fou4s@gaugusch.at
- Don't move /etc/fou4s.conf away, but save new as /etc/fou4s.conf.rpmnew
* Fri May 31 2002 - fou4s@gaugusch.at
- Added gpg key installation via local file and not from keyserver
* Mon May 27 2002 - fou4s@gaugusch.at 
- Released 0.5.0
* Sun May 26 2002 - fou4s@gaugusch.at
- /etc/fou4s is now /etc/fou4s.conf
- added fou4s.conf-example to docdir
* Thu May 23 2002 - fou4s@gaugusch.at
- Removed fou4s key download (moved to fou4s itself)
* Tue May 21 2002 - fou4s@gaugusch.at
- Released 0.4.1 
* Mon May 20 2002 - fou4s@gaugusch.at
- Released 0.4.0 
- Group fou4s added
* Thu May 10 2002 - fou4s@gaugusch.at
- Released 0.3.0 
- Crontab notice in postscript
- Changed URL to fou4s.gaugusch.at
* Sun Apr 28 2002 - fou4s@gaugusch.at
- Package signing
- Postinstall script to get public key for fou4s
- More information in spec file (Packager, Distribution)
* Tue Apr 16 2002 - fou4s@gaugusch.at
- Released 0.2.1
- Released 0.2
* Sun Apr 14 2002 - fou4s@gaugusch.at
- Released 0.1
- Manual pages added
* Tue Apr 09 2002 - fou4s@gaugusch.at
- Bugfix release 0.0.4
* Sun Apr 07 2002 - fou4s@gaugusch.at
- first version as RPM
